// Задача "Обобщенные числа-близнецы"
// 4-ая Интернет-олимпиада сезона 2007-2008, базовый уровень
// Автор задачи: Владимир Ульянцев, ulyantsev@rain.ifmo.ru
// Автор решения: Сергей Поромов, poromov@rain.ifmo.ru

import java.io.*;
import java.util.*;

public class twins_sp_slow implements Runnable {

	public static void main(String[] args) {
		new Thread(new twins_sp_slow()).start();
	}

	public void run() {
		try {
			Locale.setDefault(Locale.US);
			br = new BufferedReader(new FileReader(FILENAME + ".in"));
			out = new PrintWriter(FILENAME + ".out");
			solve();
			out.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	BufferedReader br;
	PrintWriter out;
	StringTokenizer st;
	boolean eof;

	String nextToken() {
		while (st == null || !st.hasMoreTokens()) {
			try {
				st = new StringTokenizer(br.readLine());
			} catch (Exception e) {
				eof = true;
				return "0";
			}
		}
		return st.nextToken();
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	void myAssert(boolean e, String s) {
		if (!e) {
			throw new Error("Assertion failure " + s);
		}
	}
	
	void inBounds(int x, int l, int r, String name) {
		myAssert((l <= x) && (x <= r), "Wrong value of " + name);
	}

	private static final String FILENAME = "twins";
	
	int MAXN = 1000000;
	
	boolean isPrime(int n) {
		for (int i = 2; i < n; i++) {
			if (n % i == 0) {
				return false;
			}
		}
		return true;
	}

	public void solve() {
		int n = nextInt();
		int k = nextInt();
		inBounds(n, 1, MAXN, "n");
		inBounds(k, 1, MAXN, "k");
		int ans = 0;
		for (int i = k + 2; i <= n; i++) {
			if (isPrime(i) && isPrime(i - k)) {
				ans++;
			}
		}
		out.println(ans);
	}
}
